{{ asset_add('styles.css', 'newebtime.field_type.repeatering::css/repeater.css') }}

{{ asset_add("scripts.js", "newebtime.field_type.repeatering::js/cookie.min.js") }}
{{ asset_add('scripts.js', 'newebtime.field_type.repeatering::js/input.js') }}
{{ asset_add("scripts.js", "streams::js/table/jquery-sortable.js") }}

{% block content %}
    {% set instance = str_random() %}

    <div {{ html_attributes(field_type.attributes) }} data-instance="{{ instance }}">

        <div class="repeater-list">
            {% for form in field_type.forms %}
                {% include "newebtime.field_type.repeatering::item" with {'form': form} %}
            {% endfor %}
        </div>

        {% if not field_type.readonly and not field_type.disabled %}
            <div class="repeater-controls">

                <a href="{{ url('repeatering-field_type/form/' ~ field_type.id() ~ '?prefix=' ~ field_type.prefix) }}"
                   class="add-row btn btn-sm btn-success"
                   data-instance="{{ instance }}"
                   data-loading="{{ trans('newebtime.field_type.repeatering::message.loading') }}">
                    {{ trans(field_type.config.add_row ?: 'newebtime.field_type.repeatering::button.add_row') }}
                </a>

            </div>
        {% endif %}

    </div>
{% endblock %}
